package com.changda.gjjapp.zhfwpt.service.tyfb;
import java.util.*;

import com.changda.gjjapp.db.entity.M_LANMU;

public interface IM_LANMUService
{
 
 M_LANMU queryByKey(Map map);
 
 List<M_LANMU> query(Map map);
 
 int count(Map map);
 
 int countByKey();
 
 void insert(M_LANMU m_lanmu);
 
 void delete(M_LANMU m_lanmu);
 
 void deleteByKey();
 
 void update(M_LANMU m_lanmu);
 
 void insert(List<M_LANMU> listm_lanmu);
 
 void update(List<M_LANMU> listm_lanmu);
 
 void delete(List<M_LANMU> listm_lanmu);
}

